package ValveExample1
  model SimpleValve1
    replaceable package Medium = Modelica.Media.Water.StandardWater;
    inner Modelica.Fluid.System system annotation(
      Placement(visible = true, transformation(origin = {64, 64}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Fluid.Sources.Boundary_pT boundary(redeclare package Medium = Medium, T = 293.15, p = 121325, nPorts = 2) annotation(
      Placement(visible = true, transformation(origin = {-70, 12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Fluid.Valves.ValveLinear valveLinear(redeclare package Medium = Medium, dp_nominal = 10000, m_flow_nominal = 1) annotation(
      Placement(visible = true, transformation(origin = {6, 12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Fluid.Sources.Boundary_pT boundary_pT(redeclare package Medium = Medium, T = 293.15, p = 101325, nPorts = 1) annotation(
      Placement(visible = true, transformation(origin = {62, 12}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.Sine sine(amplitude = 0.5, freqHz = 0.5, offset = 0.5, phase = 0, startTime = 0) annotation(
      Placement(visible = true, transformation(origin = {-18, 56}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Fluid.Sources.Boundary_pT boundary2(redeclare package Medium = Medium, T = 293.15, nPorts = 1, p = 101325) annotation(
      Placement(visible = true, transformation(origin = {60, -50}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
    Modelica.Fluid.Valves.ValveDiscrete valveDiscrete(redeclare package Medium = Medium, dp_nominal = 10000, m_flow_nominal = 1, opening_min = 0.001) annotation(
      Placement(visible = true, transformation(origin = {8, -50}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
    Modelica.Blocks.Sources.BooleanPulse booleanPulse(period = 2, width = 50) annotation(
      Placement(visible = true, transformation(origin = {-20, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(boundary.ports[1], valveLinear.port_a) annotation(
      Line(points = {{-60, 12}, {-4, 12}}, color = {0, 127, 255}));
    connect(valveLinear.port_b, boundary_pT.ports[1]) annotation(
      Line(points = {{16, 12}, {52, 12}, {52, 12}, {52, 12}}, color = {0, 127, 255}));
    connect(sine.y, valveLinear.opening) annotation(
      Line(points = {{-6, 56}, {6, 56}, {6, 20}, {6, 20}}, color = {0, 0, 127}));
    connect(boundary.ports[2], valveDiscrete.port_a) annotation(
      Line(points = {{-60, 12}, {-42, 12}, {-42, -50}, {-2, -50}}, color = {0, 127, 255}));
    connect(valveDiscrete.port_b, boundary2.ports[1]) annotation(
      Line(points = {{18, -50}, {50, -50}}, color = {0, 127, 255}));
    connect(booleanPulse.y, valveDiscrete.open) annotation(
      Line(points = {{-8, -20}, {8, -20}, {8, -42}, {8, -42}}, color = {255, 0, 255}));
    annotation(
      experiment(StartTime = 0, StopTime = 10, Tolerance = 1e-06, Interval = 0.02));
  end SimpleValve1;
  annotation(
    uses(Modelica(version = "3.2.3")));
end ValveExample1;